> ## Documentation Index
> Fetch the complete documentation index at: https://getfaceage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a business

> Create a new business and get its Face Age ID.

Creates a new business. The response includes the business `id` and its unique `token` (Face Age ID).

## Query parameters

**site** `string` *required*

Your website URL, for example `https://www.your-domain.com`. Must be unique.

**name** `string` *required*

Your business name.

**country** `integer` *required*

Country ID — the `value` field from [Get countries](https://getfaceage.com/docs/api-reference/business/get-countries.md).

**business\_size** `string` *required*

One of `small`, `medium`, `large`, `very_large`.

**after\_analyze\_status** `boolean`

Nullable. `true` or `false`.

**logo** `string`

Nullable. Logo path returned by [Upload a logo](https://getfaceage.com/docs/api-reference/business/upload-logo.md). Supported image types: `jpeg`, `png`, `jpg`, `ico`.

## Response

**status** `boolean`

`true` when the business is created.

**data** `object`

The new business, including `id`, `token`, `name`, `site`, `main_domain`, `country_id`, `business_size`, `logo` and timestamps.

```bash cURL theme={null}
curl --request POST 'https://core.getfaceage.com/api/v1/business?site=https://www.your-domain.com&name=your_business_name&country=22&business_size=small&after_analyze_status=&logo=/images/logo.png' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer your_secret_key'
```

```json 200 theme={null}
{
  "status": true,
  "data": {
    "user_id": 25659,
    "name": "My Beauty Business",
    "main_domain": "mybeauty.com",
    "site": "https://www.mybeauty.com",
    "country_id": "22",
    "business_size": "small",
    "token": "NZdYQbh2Zds9dg379NoL0H",
    "after_analyze_status": "product",
    "logo": "storage/logo/1245/670a365bb0adc.png",
    "updated_at": "2024-03-12T07:39:25.000000Z",
    "created_at": "2024-03-12T07:39:25.000000Z",
    "id": 33598
  }
}
```

```json 401 theme={null}
{
  "message": "Unauthenticated."
}
```

```json 422 theme={null}
{
  "message": "The domain must be unique.",
  "errors": {
    "site": ["The domain must be unique."]
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.